//********************************************************************************
// FILE:		main.h
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//*********************************************************************************/
// Preprocessor:

/* Make sure this file is included only once: */
#ifndef _MAIN_
#define _MAIN_


//********************************************************************************
// Constants:

/* Compression methods */
#define SHANNON_FANO_COMPRESSION	1
#define HOFFMAN_COMPRESSION			2
#define ARITHMETIC_CODING			4
#define LZ77_COMPRESSION			8
#define LZW_COMPRESSION				16

#define DEFAULT_COMPRESSION			SHANNON_FANO_COMPRESSION


//********************************************************************************
// Function prototypes:

/* The ShannonFano algorithm */
int ShannonFanoCompress(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);
int ShannonFanoExtract(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);

/* The lz77 algorithm */
int lz77Compress(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);
int lz77Extract(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);

/* The LZW algorithm */
int lzwCompress(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);
int lzwExtract(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);

/* The Huffman algorithm */
int HuffmanCompress(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);
int HuffmanExtract(ZAR_FILE* pzSrc, ZAR_FILE* pzDst);

#endif	//_MAIN_


