//********************************************************************************//
// FILE:		zarLib.h
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//********************************************************************************//
// Preprocessor;

/* Make sure this file is included only once: */
#ifndef _ZARDEFS_
#define _ZARDEFS_


/* Note:

Modify the constants and global variables in this section
to custimize the behavior of the zar library

*/


//**********************************************************************************
// For stupid compilers:

#ifndef _MAX_PATH
  #define _MAX_PATH		255
#endif

#ifndef max
  #define max(a,b)            (((a) > (b)) ? (a) : (b))
#endif

#ifndef min
  #define min(a,b)            (((a) < (b)) ? (a) : (b))
#endif

//********************************************************************************
// Program info:

/* The name of the program (3 letters prefered) */
#define ZAR_PROGRAM_NAME		"ZAR"

// The major version-number:
#define ZAR_VERSION_MAJOR		1			

// The minor version-number:
#define ZAR_VERSION_MINOR		1		// The library will append a zero 
										// if ZAR_VERSION_MINOR is below 10

/* The full version (must be _ushort) */
#define ZAR_VERSION				(ZAR_VERSION_MAJOR *100 +ZAR_VERSION_MINOR)


/* File extension of the compressed files */
#define ZAR_FILE_EXTENSION		".zar"


//********************************************************************************
// Creation constants:

// The creator(s) name(s):
#define ZAR_CREATOR				"Group 4 at Roskilde University"


/* The date of the build, currently set to the actual build date */
#define ZAR_BUILD_DATE			__DATE__	// The library appends a zero to the
											// date if its below 10

//********************************************************************************
// Help constants:

/* The string which descripes the command-line for this program */
#define ZAR_HELP_USAGE			"<command> <source_file> [<dest_file>] [-<switches>]"


/* Examples which shows the user, how this program is used */
#define ZAR_HELP_EXAMPLE1		"zar c srcFile.txt dstFile.zar -h -t"


#endif	//_ZARDEFS_