//********************************************************************************//
// FILE:		zarErr.h
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//********************************************************************************//
// Preprocessor:

/* Make sure this file is included only once: */
#ifndef _ZARERR_
#define _ZARERR_


//********************************************************************************
// Error codes:


/* Command-line errors */ 
#define ERR_ARGS_TO_FEW_PARAMS						11		// pData is NULL!
#define ERR_ARGS_WRONG_PARAMETER					12		// pData is the wrong parameter (char*)
#define ERR_ARGS_NO_SOURCE_FILE						13		// pData is NULL

#define ERR_INPUT_FILE_NOT_READABLE					21		// pData is the file name (char*) or NULL. 
#define ERR_OUTPUT_FILE_NOT_WRITEABLE				22		// pData is the file name (char*) or NULL,
															// return none-zero to resume!
#define ERR_OUTPUT_FILE_NOT_CREATEABLE				23		// pData is the name of the output-file (char*)
#define ERR_INPUT_FILE_NOT_VALID_ZAR_FILE			24		// pData is NULL

#define ZAR_ERR_NOT_VALID_FILENAME					41		// pData is the invalid filename.
#define ZAR_ERR_FILE_SEEK							42		// pData is the filename (char*)
#define ZAR_ERR_WRONG_ZAR_VERSION					43		// pData is the filename (char*) or NULL

#define ZAR_ERR_UNKNOWN_INTERNAL					51		// pData is NULL!
#define ZAR_ERR_FEATURE_NOT_IMPLEMENTED				52		// pData is unimplemented feature (char*)

#define ZAR_ERR_FAILED_MEMORY_ALLOC					61		// pData is NULL!

#define ZAR_ERR_MESSAGE								71		// pData is the message (char*)


//********************************************************************************
// Error functions:

int zarError(int nErrCode, const void* pData);

#endif	// _ZARERR_
