//********************************************************************************
// FILE:		zarInfo.c
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//*********************************************************************************/
// Headers:
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "zarLocal.h"


//********************************************************************************
// Globals:

extern ZAR_INIT* g_pzarInit;


//********************************************************************************
// zarPrintHelp()

void zarPrintHelp(void)
{
	zarPrintShortHelp();
}


//********************************************************************************
// zarPrintShortHelp(void)

void zarPrintShortHelp()
{
	int   i;
	char  szBuf[16];
	
	zarPrintHeader();

#ifdef __UNIX__
	printf("List of frequently used commands and switches.  Type %s -? for more help.\n\n", ZAR_PROGRAM_NAME);
#else
	printf("List of frequently used commands and switches.  Type %s /? for more help.\n\n", ZAR_PROGRAM_NAME);
#endif
		
	// Print the usage and the examples:
	printf("Usage:    %s\n", ZAR_HELP_USAGE);
	printf("Example:  %s\n", ZAR_HELP_EXAMPLE1);
		
	// Print commands:
	printf("\n<Commands>\n");
	for (i=0; i<g_pzarInit->nNumCommands; i++)
		printf("  %s:  %s\n", g_pzarInit->pCommands[i].szCmdArg, g_pzarInit->pCommands[i].pName);	
	
	
	// Print general switches (if any):
	if (g_pzarInit->nNumGenSwitch > 0)
	{
		printf("\n<General switches>\n");

		for (i=0; i<g_pzarInit->nNumGenSwitch; i++) 
		{
			sprintf(szBuf, "%s:", g_pzarInit->pGenSwitch[i].szSwitchArg); 
			printf("  %-3s %s\n", szBuf, g_pzarInit->pGenSwitch[i].pName);
		}
	}
	
	// Print switches for compression (if any):
	if (g_pzarInit->nNumComSwitch > 0)
	{
		printf("\n<Switches for compression>\n");
	
		for (i=0; i<g_pzarInit->nNumComSwitch; i++) 
		{
			sprintf(szBuf, "%s:", g_pzarInit->pComSwitch[i].szSwitchArg);
			printf("  %-3s %s\n", szBuf, g_pzarInit->pComSwitch[i].pName);
		}
	}
}



//********************************************************************************
// zarPrintHeader()

void zarPrintHeader(void)
{
	char  szBuildDate[25];
	char* pPos;

	// Append a zero to the beginning of the date, if its below 10:
	strcpy(szBuildDate, ZAR_BUILD_DATE);
	
	if (NULL != (pPos = strstr(szBuildDate, "  ")))		// Search for double-space
		pPos[1] = '0';									// Append zero
	
	printf("%s %i.%02i created by %s %s\n", ZAR_PROGRAM_NAME, ZAR_VERSION_MAJOR, ZAR_VERSION_MINOR, ZAR_CREATOR, szBuildDate);
	printf("This program is freeware and may only be used for none commercial purposes.\n");
	printf("We are not taking responsibility for any damage this program might cause.\n\n");
}

