//********************************************************************************
// FILE:		zarMain.c
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//*********************************************************************************/
// Headers:
#include <memory.h>
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include "zarLocal.h"


//********************************************************************************
// Globals:

const ZAR_INIT*  g_pzarInit;


//********************************************************************************
// zarInit()

void zarInit(const ZAR_INIT* pzarInit)
{
	// Validate parameters:
	assert(pzarInit != NULL);
	assert(pzarInit->nNumCommands > 0);
	assert(pzarInit->compressMain != NULL);

	g_pzarInit = pzarInit;
}


//********************************************************************************
// zarMain()

int zarMain(_pcstr* ppArgs)
{
	ZAR_TASK  zTask;
	
	// Validate	parameters:
	assert(ppArgs != NULL);

	// Extract the task:
	if (!processArgs(ppArgs, &zTask))
		return 0;

	return g_pzarInit->compressMain(&zTask);
}


//********************************************************************************
// zarClose()

void zarClose(void)
{
	g_pzarInit = NULL;
}

